/*General Style*/
* {
    margin: 0px;
    padding: 0px;
    
}

main {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    flex-direction: row;
    align-content: center;
    justify-content: center;
}

html, body {
    background-color: rgb(5, 5, 5);
    color: ghostwhite;
    font-family: 'Press Start 2P', cursive;    
    font-size: medium;
    /* font-family: 'Press Start 2P', cursive;     */
    font-size: small;
    overflow-x: hidden;
}

p {
    color: black;
}

/*Logo Styles*/

.logoside {
    width: 400px;
    height: 200px;
    background-color: black;
    align-content: center;
    justify-items: center;
    padding-right: 100px;
}

.logo {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    margin: auto;
}

/*Navigation Styles*/

.sidenav {
    font-size: small;
}

.navtop {
    overflow: hidden;
    background-color: ghostwhite;
}

.navtop input[type=text] {
    float: right;
    padding: 1px;
    border: solid;
    margin-top: 8px;
    font-size: 20px;
}

/*Hero style*/

.hero {
    margin-top: auto;
}

/*Links Style*/

.pcard:hover {
    text-shadow: 0px 0px 6px rgb(147, 59, 230);
}

/*Footer style*/

#footerNav {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
}

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    border: blueviolet;
    border-width: 25px;
    height: 100px;
    width: 100%;
    background-color: blueviolet;
}

/* video grid on the homepage */

.videoSelection {
    margin:40px;
    cursor: pointer;
    width: 360px;
    height: 260px;
    border: blueviolet;
    border-style: solid;
    border-width: 5px;
}

.videoSelection:hover {
    box-shadow: 0px 0px 10px 10px rgb(210, 32, 255);
    cursor: pointer;
    transition: 1s;
    width: 375px;
    height: 275px;
    transition-duration: 1s;
}

.container2 {
    display: flex;
    margin: 45px;
    justify-content: center;
    align-content: center;
    align-items: center;
}

/* All containers */
.container {
    display: flex;
    justify-items: center;
    align-items: center;
}

/*Global Leaders Style*/

.profile {
    position: relative;
    padding-right: 300px;
    display: flex;
    justify-content: center;
    align-content: center;
}

/* all images */

img.responsive-img {
    max-width: 100%;
    height: auto;
    margin-top: 69px;
    border-radius: 50px;
    border-color: blueviolet;
    border-style: double;
    box-shadow: 0px 0px 10px 4px rgb(210, 32, 255);
    transition: 1s;
}


/* Stats page top banner */

.statspic {
    display: flex;
    justify-content: left;
    align-items: left;
    width: 300px;
    height: 250px;
    position: relative;
    margin: auto;
    padding: 10px;
}

/* Descriptions on the stats page */
.descright {
   position: relative;
   left: 444px;
   top: -244px;
   display: flex;
   justify-items: center;
   flex-direction: column;
   flex-wrap: nowrap;
   align-content: center;
   color: white;

}

.pstyle {
    color: white;
}

/*Watch page style*/
#watchVideo {
    display: flex;
    border: blueviolet;
    border-style: solid;
    border-width: 5px;
    margin: 30px;
}

#watchVideo:hover {
    box-shadow: 0px 0px 10px 10px rgb(210 32 255);
    cursor: pointer;
    transition: 1s;
    transition-duration: 1s;
}

#mainWatchPage {
    display: flex;
    justify-items: center;
    flex-direction: column;
    align-items: center;
}

.viewsnflames {
    color: white;
}

#flameButtonContainer {
    display: flex;
    align-items: center;
    flex-direction: row;
}

#description {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    width: 80%;
    background-color: black;
    color: white;
    width: 1280px;
    color: black;
    margin-bottom: 25px;
    border: blueviolet;
    border-style: solid;
    border-width: 5px;
    padding: 10px;
    align-content: center;
}

.flame {
    width: 100px;
    height: 100px;
}

#flamesButton {
    background: black;
    color: yellow;
    border: 2px solid yellow;
    border-radius: 10px;
    font-size: 25px;
    padding: 10px;
    width: 100px;
    margin: 20px;
    
}
#flamesButton:hover {
    box-shadow: 0px 0px 5px 5px gold;
    transition: 300ms;
}

#mainDescription {
    font-size: 20px;
    color: white;
    background-color: black;
    align-self: flex-start;
}

#topDescript {
    display: flex;
    flex-direction: row;
    font-size: 35px;
    justify-content: space-between;
    width: 100%;
    align-items: flex-start;
}

#mainDescription {
    font-size: 20px;
    color: white;
    background-color: black;
}

#submittext {
    color: gold;
    font-size: 40px;
}

#bottomDesc {
    display: flex;
    flex-direction: row;
}

#bottomDesc>* {
    padding: 0 5px;
}

/*Links page*/

#linksbanner {
    width: 100%;
}

.cardContainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    font-size: 12px;
    color: black;
    margin-bottom:90px;
    text-align: center;
}
    
.cardtitle {
    font-size: 15px;
        
}
    
#cards {
    margin: 80px;
    width: 450px;
    height: 380px;
    overflow-wrap: normal;
}
    
a {
    color: white;
}
    
/*Global Leaders page*/
    
.uparrow {
    width: 100px;
    height: 150px;
    margin-top: 50px;
}
    
.downarrow {
    width: 100px;
    height: 150px;
    margin-top: 50px;
}
    
.custom-leaders {
    display: flex;
    justify-items: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: nowrap;
    color: white;
    align-content: center;
}
    
.usernames {
    color: white;
}

@media screen and (max-width: 1300px) {
    #description {
        width: 80%;
    }

    #watchVideo {
        width: 80%;
    }

}
    
@media screen and (max-width: 993px) {
    .hidenav {
        display: none;
    }
    
}

@media screen and (max-width: 885px) {
    #description {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: center;
        align-items: flex-end;
        width: 80%;
        background-color: black;
        color: white;
        margin-bottom: 25px;
        border: blueviolet;
        border-style: solid;
        border-width: 5px;
        padding: 10px;
    }
        
    #topDescript {
        display: flex;
        align-items: center;
        font-size: 25px;
    }
    
    #submittext {
        color: gold;
        font-size: 30px;
    }

    #flameButtonContainer {
        flex-direction: column;
    }

} 


@media screen and (max-width: 500px) {

    #flameButtonContainer {
        flex-direction: row;
    }

    #description {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        width: 80%;
        background-color: black;
        color: white;
        margin-bottom: 25px;
        border: blueviolet;
        border-style: solid;
        border-width: 5px;
        padding: 10px;
        }
        
    #submittext {
        color: gold;
        font-size: 25px;
    }
        
    #topDescript {
        display: flex;
         align-items: flex-start;
        flex-direction:column;
        font-size: 25px;
    }
    
    .descright1 {
        color: white;
        text-align: center;
        width: 100%;
    }

    .boxone {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        overflow-wrap: normal;
        text-align: center;
    }
    
    #topDesc {
        display: flex;
        align-items: center;
        flex-direction:column;
        font-size: 10px;
        padding: 10px;
    }
}

@media screen and (max-width: 600px) {
    .descright {
    position: relative;
    left: -140px;
    top: 11px;
    display: flex;
    justify-items: center;
    align-items: center;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    color: white;
}
    
}